Rudiments

Public Member Functions | Protected Attributes | List of all members
compilermodule Class Reference

Inherited by compilerpostprocessor, compilerpreprocessor, and compilerprocessor.

## Public Member Functions
| compilermodule ()
virtual | ~compilermodule ()
void | setId (const char *id)
bool | setParameters (const char *parameters)
void | setParameters (domnode *parameters)
const char * | getId ()
domnode * | getParameters ()

## Protected Attributes
const char * | id
domnode * | parameters

## Detailed Description

The compilermodule class is a the base class for compilerpreprocessor, compilreprocessor and compilerpostprocessor modules. It just stores the module id and parameters.

## Constructor & Destructor Documentation

## ◆ compilermodule()

compilermodule::compilermodule | ( |  | ) |

Creates a new instance of the compilermodule class.

## ◆ ~compilermodule()

virtual compilermodule::~compilermodule | ( |  | ) |
| virtual

Deletes this instance of the compilermodule class.

## Member Function Documentation

## ◆ getId()

const char* compilermodule::getId | ( |  | ) |

Returns the id of this instance.

## ◆ getParameters()

domnode* compilermodule::getParameters | ( |  | ) |

Returns the parameters of this instance.

## ◆ setId()

void compilermodule::setId | ( | const char * | id | ) |

Sets the id of this instance.

## ◆ setParameters() [1/2]

bool compilermodule::setParameters | ( | const char * | parameters | ) |

Sets parameters for this instance.

## ◆ setParameters() [2/2]

void compilermodule::setParameters | ( | domnode * | parameters | ) |

Sets parameters for this instance.